import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { DatePickerComponent, IDatePickerConfig } from 'ng2-date-picker';
import { FrequencyService } from '../frequency.service';
import { CommonService } from '../../../services/common.service';
import * as i0 from "@angular/core";
export declare class FrequencyOneTimeComponent implements OnInit {
    private frequencyService;
    private commonService;
    datePicker: DatePickerComponent;
    DEFAULT_TIME: string;
    datepickerOverlay: boolean;
    showDateError: boolean;
    oneTimeFailed: number;
    oneTimeWindow: number;
    oneTimeStartTime: any;
    oneTimeSelected: string;
    dateConfig: IDatePickerConfig;
    todayDate: Date;
    frequencyInfo: any;
    shortMonth: Array<string>;
    dateObjectData: Date;
    minDate: string;
    selectedDate: any;
    pageType: 'responsibility' | 'policy';
    frequencyData: any;
    mode: any;
    frequencyDetails: EventEmitter<any>;
    datePickerPopUp: ElementRef;
    constructor(frequencyService: FrequencyService, commonService: CommonService);
    ngOnInit(): void;
    populateFrequency(): void;
    openDatePicker(): void;
    closeDatepicker(): void;
    onValueChange(event: any): void;
    onTimeChanged(event: string): void;
    dateChange(event: any): void;
    getOneTimeFrequency(): void;
    timeSelection(event: any): void;
    documentClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyOneTimeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyOneTimeComponent, "app-frequency-one-time", never, { "pageType": { "alias": "pageType"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
